Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo
Class CSMessageBundle_xx

    java.lang.Object
      |
      +--java.util.ResourceBundle
            |
            +--java.util.ListResourceBundle
                  |
                  +--oracle.jbo.common.CheckedListResourceBundle
                        |
                        +--oracle.jbo.CSMessageBundle
                              |
                              +--oracle.jbo.CSMessageBundle_xx

public class CSMessageBundle_xx
extends CSMessageBundle

A localization example: error messages localized for the toy language Xx.

The error codes defined in `CSMessageBundle` are associated here with messages in a language that resembles American English except for lowercase 'e's, which are replaced by 'x's.

To localize for Xx, set the locale by invoking `Locale("xx","","")`.

Note that the error codes are defined in the parent class, and should not be redefined in this class.

Since:
  JDeveloper 3.0

Fields inherited from class oracle.jbo.CSMessageBundle
`EXC_AFTER_COMMIT, EXC_AFTER_POST, EXC_AFTER_ROLLBACK, EXC_ALREADY_CONNECTED, EXC_ALREADY_LOCKED, EXC_AM_ACTIVATE, EXC_AM_PASSIVATE, EXC_APPMODULE_CREATE, EXC_ATTR_LOAD_DATUM_EXCEPTION, EXC_ATTR_LOAD_EXCEPTION, EXC_ATTRIBUTE_INDEX_MISMATCH, EXC_CANNOT_REMOVE_REFERENCED_OBJ, EXC_CANNOT_SET_USER_QUERY_WITH_VL, EXC_CHILD_AM_WITH_NO_PARENT, EXC_COMP_OBJ_WITH_NO_PARENT, EXC_CONNECTION_REQUEST_TIMED_OUT, EXC_CUSTOM_CLASS_NOT_ASSIGNABLE, EXC_CUSTOM_CLASS_NOT_FOUND, EXC_DATA_CREATION, EXC_DATA_CREATION_CLASS_NOT_FOUND, EXC_DATA_CREATION_FROM_VALUE, EXC_DATA_CREATION_WITH_MSG, EXC_DATABASE_STATE_EXISTS, EXC_DEAD_ENTITY_ACCESS, EXC_DEAD_VIEW_ROW_ACCESS, EXC_DML_GENERATE_PK_BASED_REF, EXC_DML_GENERATE_REF_AND_OID, EXC_DML_GET_EST_ROW_COUNT, EXC_DML_PK_BASED_REF_NOT_SUPPORTED, EXC_DML_POST_ENTITY, EXC_DML_REF_AND_OID_NOT_SUPPORTED, EXC_DOMAIN_OPERATION, EXC_ENTITIES_INV_IN_B4_COMMIT, EXC_ENTITY_ROW_CREATE, EXC_ENTITY_ROW_MISSING, EXC_ENTITY_ROW_NOT_FOUND, EXC_ENTITY_SELECT, EXC_EO_NOT_PRIMARY_BASE, EXC_GENERIC_PERSISTENCE, EXC_IDENT_MISMATCH, EXC_INSERT_WITH_NO_ATTR_SET, EXC_INVALID_ATTRIBUTE_KIND, EXC_INVALID_DEFINITION_NAME, EXC_INVALID_ENTITY_ATTR_NAME, EXC_INVALID_ENTITYASSOC_DEFN, EXC_INVALID_FETCH_MODE, EXC_INVALID_FETCH_SIZE, EXC_INVALID_JDBC_POOL_CONNECTION, EXC_INVALID_MAX_FETCH_SIZE, EXC_INVALID_METHOD_CALL, EXC_INVALID_OBJECT_ACCESS, EXC_INVALID_OBJECT_NAME, EXC_INVALID_OPER_FORWARD_ROWSET, EXC_INVALID_OPER_SET_ROW_VALIDATION, EXC_INVALID_PARAMETER, EXC_INVALID_PASSIVATION_STORE, EXC_INVALID_SER_FILE, EXC_INVALID_VIEWLINK_DEFN, EXC_JDBC_CLOSE_CONNECTION, EXC_JDBC_CLOSE_STATEMENT, EXC_JDBC_COLUMN_DEFN, EXC_JDBC_COMMIT, EXC_JDBC_GET_SQL_DATUM, EXC_JDBC_OPEN_CONNECTION, EXC_JDBC_POOL_SIZE_EXCEEDED, EXC_JDBC_REGISTER_DRIVER, EXC_JDBC_ROLLBACK, EXC_KEY_NOT_FOUND, EXC_LOADING_PROPERTIES, EXC_LOCATING_XML_FILE, EXC_NAME_CLASH, EXC_NO_DEFINITION, EXC_NO_ENTITY_OWNER, EXC_NO_MATCHING_EO_BASE, EXC_NO_OBJECT, EXC_NOT_CONNECTED, EXC_OBSOLETE_METHOD, EXC_PARSING_XML_FILE, EXC_PCOLL_ACTIVATE, EXC_PCOLL_CHILD_ID_NOT_FOUND, EXC_PCOLL_COMMIT, EXC_PCOLL_CONNECT, EXC_PCOLL_CREATE_CONTROL_TAB, EXC_PCOLL_CREATE_TAB, EXC_PCOLL_DELETE_ALL, EXC_PCOLL_DELETE_ROW, EXC_PCOLL_GETCURTIME, EXC_PCOLL_INSERT_ROW, EXC_PCOLL_INVALID_ID, EXC_PCOLL_INVALID_ROOT_NODE, EXC_PCOLL_LOCK_CONTROL_ROW, EXC_PCOLL_NO_PERSIST_MGR_CLASS, EXC_PCOLL_OBJ_ALREADY_ACTIVE, EXC_PCOLL_PASSIVATE, EXC_PCOLL_RETRIEVE_BY_ID, EXC_PCOLL_RETRIEVE_ROW, EXC_PCOLL_UPDATE_CONTROL_ROW, EXC_PCOLL_UPDATE_ROW, EXC_POST_THRESHOLD_REACHED, EXC_QUERY_COLLECTION_CLOSED, EXC_READ_ATTRIBUTE_XML, EXC_READ_ROW_XML, EXC_READ_ROWSET_XML, EXC_READONLY_ASSOC_ATTR, EXC_RECURSIVE_AM_INCLUSION, EXC_RECURSIVE_BASE_DEF, EXC_REMOVE_WITH_DETAILS, EXC_ROOT_APPMOD_ALREADY_CREATED, EXC_ROW_INCONSISTENT, EXC_ROW_OF_HANDLE_NOT_FOUND, EXC_SQL_CREATE_STATEMENT, EXC_SQL_EXECUTE_COMMAND, EXC_SQL_EXECUTE_QUERY, EXC_SQL_PREPARE_CALL, EXC_SQL_PREPARE_STATEMENT, EXC_SQLTYPE_NOT_SPECIFIED, EXC_STRING_MISMATCH, EXC_SYSTEM_GET_PROPERTIES, EXC_TOO_MANY_LEFT_PARENS, EXC_TOO_MANY_OBJECTS, EXC_TOO_MANY_RIGHT_PARENS, EXC_TYP_UNKNOWN_SQL_TYPE, EXC_UNEXPECTED_EXCEPTION, EXC_UNKNOWN_FILE_ENCODING, EXC_UNRESOLVED_REFERENCE, EXC_VAL_APPMOD_VALIDATE_FAILED, EXC_VAL_ATTR_MANDATORY, EXC_VAL_ATTR_RESOLVEGET_FAILED, EXC_VAL_ATTR_RESOLVESET_FAILED, EXC_VAL_ATTR_SET_FAILED, EXC_VAL_ATTR_SET_TYPE_MISMATCH, EXC_VAL_ATTRIBUTE_NOT_FOUND, EXC_VAL_DOMAIN_FAILED, EXC_VAL_ENTITY_ATTR_SET_FAILED, EXC_VAL_ENTITY_VALIDATE_FAILED, EXC_VAL_INVALID_CONTAINED_ENTITIES, EXC_VAL_METHOD_ON_ATTR_SET_FAILED, EXC_VAL_METHOD_ON_ROW_FAILED, EXC_VAL_PRECISION_VALIDATOR, EXC_VAL_VO_VALIDATE_FAILED, EXC_VAL_VR_ATTR_SET_FAILED, EXC_VAL_VR_BATCH_ATTR_SET_FAILED, EXC_VAL_VR_VALIDATE_FAILED, EXC_VALIDATION_THRESHOLD_REACHED, EXC_VAR_INVALID_VARIANT_NAME, EXC_VAR_INVALID_VARIANT_TYPE, EXC_VAR_UNEXPECTED_TYPE, EXC_VIEW_LINK_ALREADY_EXISTS, EXC_VIEW_ROW_CREATE, EXC_VIEW_ROW_NOT_FOUND, EXC_VIEWOBJECT_READONLY, EXC_XML_CONTEXT_BIND, EXC_XML_CONTEXT_LOOKUP, EXC_XML_CREATE_INITIAL_CONTEXT, EXC_XML_MISSING_DTD, STR_APP_MODULE, STR_ATTRIBUTE, STR_DEF_APP_MODULE, STR_DEF_ATTRIBUTE, STR_DEF_DOMAIN, STR_DEF_ENTITY_ASSOC, STR_DEF_ENTITY_OBJECT, STR_DEF_PACKAGE, STR_DEF_VIEW_LINK, STR_DEF_VIEW_OBJECT, STR_DML_COMMIT, STR_DML_DELETE, STR_DML_INSERT, STR_DML_ROLLBACK, STR_DML_SAVEPOINT, STR_DML_UPDATE, STR_DOMAIN, STR_ENTITY_ASSOC, STR_ENTITY_OBJECT, STR_ENTITY_ROW, STR_ENTITY_ROW_SET, STR_ENTITY_ROW_SET_ITERATOR, STR_PACKAGE, STR_VAL_DESC_COMPARE_VALIDATOR, STR_VAL_DESC_GENERIC_VALIDATOR, STR_VAL_DESC_LIST_VALIDATOR, STR_VAL_DESC_MANDATORY_VALIDATOR, STR_VAL_DESC_METHOD_VALIDATOR, STR_VAL_DESC_PRECISION_VALIDATOR, STR_VAL_DESC_RANGE_VALIDATOR, STR_VAL_SCALE_DECIMAL_CHAR, STR_VALIDATOR_TYPE, STR_VIEW_LINK, STR_VIEW_OBJECT, STR_VIEW_ROW, STR_VIEW_ROW_SET, STR_VIEW_ROW_SET_ITERATOR`

Fields inherited from class java.util.ResourceBundle
`parent`

Constructor Summary
`CSMessageBundle_xx()`

Method Summary
`java.lang.Object[][]` | `getContents()` Gets the key-value association table.

Methods inherited from class java.util.ListResourceBundle
`getKeys, handleGetObject`

Methods inherited from class java.util.ResourceBundle
`getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CSMessageBundle_xx

    public CSMessageBundle_xx()

Method Detail

### getContents

    public java.lang.Object[][] getContents()

  Gets the key-value association table.
  Overrides:
    getContents in class CSMessageBundle
  Returns:
    an array of key-value pairs.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD